pkgname=gnome-shell-extension-blur-my-shell
_pkgname=blur-my-shell
pkgver=67
pkgrel=1
_commit=de2175f7aaaeae8d1ae838b0de27fdcd9a5b4ae1
pkgdesc="Extension that adds a blur look to different parts of the GNOME Shell"
arch=('any')
url="https://github.com/aunetx/blur-my-shell"
license=('MIT')
depends=('gnome-shell')
source=("git+https://github.com/aunetx/blur-my-shell#commit=$_commit")
sha256sums=('SKIP')

build() {
  cd "$_pkgname"
  make
}

package() {
  cd "$_pkgname"
  _uuid="${_pkgname}@aunetx"

  install -d "$pkgdir/usr/share/gnome-shell/extensions/$_uuid"
  bsdtar xvf build/${_uuid}.shell-extension.zip \
    -C "$pkgdir/usr/share/gnome-shell/extensions/$_uuid/"

  install -Dm644 "schemas/org.gnome.shell.extensions.${_pkgname}.gschema.xml" -t \
    "$pkgdir/usr/share/glib-2.0/schemas/"
  install -Dm644 LICENSE -t "$pkgdir/usr/share/licenses/${pkgname%-git}"

  install -d "$pkgdir/usr/share/locale"
  cp -r "$pkgdir/usr/share/gnome-shell/extensions/$_uuid/locale/"* \
    "$pkgdir/usr/share/locale/"

  rm -rf "$pkgdir/usr/share/gnome-shell/extensions/$_uuid/"{locale,schemas}
}
